=== debian/control ===
Source: syndication
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               doxygen,
               extra-cmake-modules (>= 5.47.0~),
               libkf5codecs-dev (>= 5.47.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.9.1~),
               qttools5-dev-tools
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/pim/syndication
Vcs-Git: https://invent.kde.org/neon/kde/syndication.git
Vcs-Browser: https://invent.kde.org/neon/kde/syndication
Maintainer: Neon CI <neon@kde.org>

Package: libkf5syndication-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5syndication5abi1 (= ${binary:Version}),
         qtbase5-dev (>= 5.9.1~),
         ${misc:Depends}
Breaks: libkf5blog-dev (<< 4:17.08), libkf5syndication-doc (<< 1:5.73.0-0neon)
Replaces: libkf5syndication-doc (<< 1:5.73.0-0neon)
Recommends: libkf5syndication-doc (= ${source:Version})
Description: parser library for RSS and Atom feeds - development files
 Syndication is a parser library for RSS and Atom feeds. It offers a unified,
 format-agnostic view on the parsed feed, so that the using application does
 not need to distinguish between feed formats.
 .
 This package contains the development files.

Package: libkf5syndication5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5Syndication
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: akregator (<< 4:17.08),
        libkf5blog5 (<< 4:17.08),
        libkf5syndication5 (<< 1:5.60.0-1neon)
Replaces: akregator (<< 4:17.08),
          libkf5blog5 (<< 4:17.08),
          libkf5syndication5 (<< 1:5.60.0-1neon)
Description: parser library for RSS and Atom feeds
 Syndication is a parser library for RSS and Atom feeds. It offers a unified,
 format-agnostic view on the parsed feed, so that the using application does
 not need to distinguish between feed formats.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5syndication5
Architecture: any
Depends: libkf5syndication5abi1 (>> 1:5.60.0-1),
         ${misc:Depends},
         ${shlibs:Depends}
Section: oldlibs
Priority: extra
Description: transitoinal syndication library
 Syndication is a parser library for RSS and Atom feeds. It offers a unified,
 format-agnostic view on the parsed feed, so that the using application does
 not need to distinguish between feed formats.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 Transitional package.

Package: libkf5syndication-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: doc
Description: parser library for RSS and Atom feeds
 Syndication is a parser library for RSS and Atom feeds. It offers a unified,
 format-agnostic view on the parsed feed, so that the using application does
 not need to distinguish between feed formats.
 .
 This package is part of the KDE Development Platform PIM libraries module.
 .
 This package contains the qch documentation files.
