=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.12.0~),
-               kio-dev (>= 5.12.0~),
-               libkf5codecs-dev (>= 5.12.0~),
+               extra-cmake-modules (>= 5.19.0~),
+               kio-dev (>= 5.19.0~),
+               libkf5codecs-dev (>= 5.19.0~),
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/pim/syndication
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/syndication.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/syndication.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/syndication.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/syndication.git
 
 Package: libkf5syndication-dev
 Section: libdevel
